import { getUrlParams, getAllUrlParams } from '../src/index'

Object.defineProperty(window, 'location', {
  value: {
    href: 'https://epay.163.com?test=a&test4=d',
    hash: '#test3=c'
  }
})
describe('getUrlParams', () => {
  it('获取url参数', () => {
    expect(getUrlParams('test', 'https://epay.163.com?test=a')).toEqual('a')
    expect(getUrlParams('test2', 'https://epay.163.com?test=a')).toEqual('')
    expect(getUrlParams('test')).toEqual('a')
    expect(getUrlParams('test2')).toEqual('')
  })
})

describe('getAllUrlParams', () => {
  it('获取url所有参数', () => {
    expect(getAllUrlParams('https://epay.163.com?test=a&test2=b')).toEqual({ test: 'a', test2: 'b' })
    expect(getAllUrlParams()).toEqual({ test: 'a', test4: 'd' })
    expect(getAllUrlParams('https://epay.163.com')).toEqual({})
  })
})
