#!/bin/bash
echo "--- patch(默认)：修改末尾版本号 ---"
echo "--- minor：修改中间版本号 ---"
echo "--- major：修改末首位本号 ---"

if [ ! $1 ]; then
  versoion="patch"
  echo "--- 无入参，默认为patch ---"
 elif [ $1 == "patch" ] || [ $1 == "minor" ] || [ $1 == "major" ]; then
   versoion = $1
   echo "--- 无入参为:$1 ---"
 else
 echo "--- 无入参:$1不合法 ---"
   exit 1;   
fi
npm version $1

if [ $? -ne 0 ]; then
  exit 1;
else 
   echo "--- 版本号修改成功 ---"  
fi

mkdir lib
echo "--- 创建文件夹lib用来发布 ---"
echo "--- 开始复制需要的文件 ---"
cp package.json ./lib/
cp README.md ./lib
cp -r ./dist/ ./lib
#版本发布
npm publish --registry "https://registry.npmjs.com/"

if [ $? -ne 0 ]; then
  exit 1;
else 
  # 删除无用文件夹
  rm -rf ./lib & echo "--- 成功删除文件夹lib ---" 
  echo "npm包已上传，请及时运行npm run doc 来更新文档哦"
fi








