import { floatAdd, floatSub } from '../src/math'

describe('floatAdd', () => {
  it('浮点数相加', () => {
    expect(floatAdd(1, 2)).toBe(3)
    expect(floatAdd(1, 2.3)).toBe(3.3)
    expect(floatAdd(0.1, 0.2)).toBe(0.3)
    expect(floatAdd(-2, 1)).toBe(-1)
    expect(floatAdd(-2, 2)).toBe(0)
    expect(floatAdd(1.12, 1.88)).toBe(3)
    expect(floatAdd(-2, -0.11)).toBe(-2.11)
    expect(floatAdd(-0.1, -0.2)).toBe(-0.3)
    expect(floatAdd(0, 2)).toBe(2)
  })
})

describe('floatSub', () => {
  it('浮点数相减', () => {
    expect(floatSub(2, 1)).toBe(1)
    expect(floatSub(1, 2.3)).toBe(-1.3)
    expect(floatSub(0.1, 0.2)).toBe(-0.1)
    expect(floatSub(-2, 0.1)).toBe(-2.1)
    expect(floatSub(-2.0, 2)).toBe(-4)
    expect(floatSub(6.79, 2.79)).toBe(4)
    expect(floatSub(-0.2, -0.11)).toBe(-0.09)
    expect(floatSub(-0.1, -0.2)).toBe(0.1)
    expect(floatSub(0, 2)).toBe(-2)
  })
})
